# Docker images for `fsl-ci-rules`

This directory contains Dockerfiles which are used by the fsl-ci-rules
for building FSL projects on different platforms.


These images are currently hosted at
https://hub.docker.com/orgs/fsldevelopment/


Each `Dockerfile` is written so as to be built relative to the `docker`
directory, e.g.:


```
docker build -f docker/linux-64/Dockerfile docker
```



These images can be re-built and re-deployed by manually running the
`build-docker-image-*` jobs on the `fsl/fsl-ci-rules` gitlab repository. These
jobs are defined in the `rules/fsl-ci-management-rules.yml` file.


The full name of each image is automatically generated from the directory
name, by prefixing it with `fsldevelopment/fsl-`. For example, the image built
from the `Dockerfile` within the `linux-64` will be named
`fsldevelopment/fsl-linux-64`.


Whenever a new version of an image `<image>` is built, it is tagged with
`<image>:latest`, and with `<image>:YYYYMMDD.<commitsha>`, where `YYYYMMDD` is
the current date, and `<commitsha>` is the short SHA checksum of the
`fsl/fsl-ci-rules` commit associated with the build.
